Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.parse
Class Wrapper

    java.lang.Object
      polyglot.ext.jl.ast.Node_c
          polyglot.ext.jl.ast.Term_c
              polyglot.ext.jl.ast.Expr_c
                  jif.parse.Wrapper

All Implemented Interfaces:
  java.lang.Cloneable, polyglot.ast.Expr, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Prefix, polyglot.ast.Receiver, polyglot.ast.Term, polyglot.ast.Typed, polyglot.util.Copy

    public class Wrapper

extends polyglot.ext.jl.ast.Expr_c

A `Wrapper` wraps an `Amb` inside an AST node so that it can be insert in the AST. However, the tree must be visited by an `UnwrapVisitor` before it is returned from the parser, otherwise the other phases of the compiler will be unable to work with the tree!

Field Summary
`Amb` | `amb`

Fields inherited from class polyglot.ext.jl.ast.Expr_c
`type`

Fields inherited from class polyglot.ext.jl.ast.Term_c
`exceptions, reachable`

Fields inherited from class polyglot.ext.jl.ast.Node_c
`del, error, ext, position`

Method Summary
`java.util.List` | `acceptCFG(polyglot.visit.CFGBuilder v, java.util.List succs)` Visit this term in evaluation order.
`polyglot.ast.Term` | `entry()`
`polyglot.ast.Node` | `visitChildren(polyglot.visit.NodeVisitor v)`

Methods inherited from class polyglot.ext.jl.ast.Expr_c
`booleanValue, buildTypes, byteValue, charValue, constantValue, constantValueSet, doubleValue, dump, floatValue, intValue, isConstant, isTypeChecked, longValue, precedence, printSubExpr, printSubExpr, shortValue, stringValue, type, type`

Methods inherited from class polyglot.ext.jl.ast.Term_c
`exceptionCheck, exceptions, exceptions, listEntry, reachable, reachable`

Methods inherited from class polyglot.ext.jl.ast.Node_c
`addDecls, buildTypesEnter, checkConstants, childExpectedType, copy, del, del, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, error, error, exceptionCheckEnter, ext, ext, ext, ext, init, isDisambiguated, node, position, position, prettyPrint, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, toString, translate, typeCheck, typeCheckEnter, typeCheckOverride, visit, visitChild, visitEdge, visitList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, error, error, ext, ext, ext, ext, isDisambiguated, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypesEnter, checkConstants, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride`

Methods inherited from interface polyglot.util.Copy
`copy`

Methods inherited from interface polyglot.ast.Term
`exceptions, exceptions, reachable, reachable`

Field Detail

### amb

    public Amb amb

Method Detail

### visitChildren

    public polyglot.ast.Node visitChildren(polyglot.visit.NodeVisitor v)

  Specified by:
    `visitChildren` in interface `polyglot.ast.NodeOps`
  Overrides:
    `visitChildren` in class `polyglot.ext.jl.ast.Node_c`

### acceptCFG

    public java.util.List acceptCFG(polyglot.visit.CFGBuilder v,
                                    java.util.List succs)

  Visit this term in evaluation order.

  Specified by:
    `acceptCFG` in interface `polyglot.ast.Term`
  Specified by:
    `acceptCFG` in class `polyglot.ext.jl.ast.Term_c`

### entry

    public polyglot.ast.Term entry()

  Specified by:
    `entry` in interface `polyglot.ast.Term`
  Specified by:
    `entry` in class `polyglot.ext.jl.ast.Term_c`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD